#!/bin/sh
#git clone https://github.com/mripard/xf86-video-armsoc
#git clone https://github.com/rockchip-linux/xf86-video-armsoc
git clone -b meson-drm https://github.com/superna9999/xf86-video-armsoc

tar czf xf86-video-armsoc_1.4.orig.tar.gz xf86-video-armsoc

cd xf86-video-armsoc/

mkdir -p debian/patches

#patch -p1 < ../xf86-video-armsoc-meson-build.patch
patch -p1 < ../xf86-video-armsoc-meson-build-mripard.patch

sed -i s/arm-linux-gnueabihf/aarch64-linux-gnu/g debian/xserver-xorg-video-armsoc.install
sed -i "s|usr/lib/aarch64-linux-gnu/xorg|usr/lib/xorg|g" debian/xserver-xorg-video-armsoc.install
sed -i s/'1.4-1_armhf'/'1.4-2_arm64'/g debian/files

#cp -p ../xf86-video-armsoc-mripard-adapt_block_wakeuphandler_signature_for_abi_23.patch debian/patches/
#echo "xf86-video-armsoc-mripard-adapt_block_wakeuphandler_signature_for_abi_23.patch" >> debian/patches/series
#cp -p ../xf86-video-armsoc-mripard-use_notifyfd_for_drm_fd.patch debian/patches/
#echo "xf86-video-armsoc-mripard-use_notifyfd_for_drm_fd.patch" >> debian/patches/series
cp -p ../xf86-video-armsoc-mripard-fix_umplock_info.patch debian/patches/
echo "xf86-video-armsoc-mripard-fix_umplock_info.patch" >> debian/patches/series

cp -p ../xf86-video-armsoc-mripard-no-alpha.patch debian/patches/
echo "xf86-video-armsoc-mripard-no-alpha.patch" >> debian/patches/series

QUILT_PATCHES=debian/patches quilt push -a

./autogen.sh 
make distclean

sed -i s/'Architecture: armhf$'/'Architecture: armel armhf'/g debian/control
sed -i s/'armel armhf'/'armel armhf arm64'/g debian/control 
cp -p ../99-armsoc.conf .
echo "99-armsoc.conf /usr/share/X11/xorg.conf.d" >> debian/xserver-xorg-video-armsoc.install

echo OK
